package com.yc.education.service.impl;

import com.github.pagehelper.PageHelper;
import com.yc.education.mapper.ServiceSupportMapper;
import com.yc.education.model.ServiceSupport;
import com.yc.education.service.IServiceSupportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Hickey
 * @create 2019-07-29 10:41
 */
@Service
public class ServiceSupportServiceImpl extends  BaseService<ServiceSupport> implements IServiceSupportService {

    @Autowired
    private ServiceSupportMapper mapper;


    /**
     * 前台  服务支持 查询全部
     * @return
     */
    @Override
    public List<ServiceSupport> listAllService(){
        return  mapper.listAllService();
    }

    @Override
    public  List<ServiceSupport> listAllService(Integer pageNum,Integer pageSize){
        PageHelper.startPage(pageNum,pageSize);
        return  mapper.listAllService();
    }
}
